# Pollination Honeybee Radiance

Pollination honeybee-radiance adds daylight simulation functions to Pollination.

## Sources

The following software components are included with this plugin:

- Python 3.10
- `honeybee-radiance` Python package. [PyPI](https://pypi.org/project/honeybee-radiance/), [source](https://github.com/ladybug-tools/honeybee-radiance)
- `honeybee-radiance-command` Python package. [PyPI](https://pypi.org/project/honeybee-radiance-command/), [source](https://github.com/ladybug-tools/honeybee-radiance-command)
- `honeybee-radiance-folder` Python package. [PyPI](https://pypi.org/project/honeybee-radiance-folder/), [source](https://github.com/ladybug-tools/honeybee-radiance-folder)
- `Radiance` physics-based rendering engine. [docs](https://www.radiance-online.org), [source](https://github.com/LBNL-ETA/Radiance/releases/tag/012cb178)

## Functions

You can see the list of available functions in honeybee-radiance plugin
[here](https://app.pollination.cloud/plugins/ladybug-tools/honeybee-radiance)
on Pollination.

## Examples

For real-world examples see any of these Ladybug Tools recipes for Pollination:

- [Annual Daylight recipe](https://github.com/pollination/annual-daylight)
- [Annual Irradiance recipe](https://github.com/pollination/annual-irradiance)
- [Point-in-Time Grid recipe](https://github.com/pollination/point-in-time-grid)
- [Point-in-Time View recipe](https://github.com/pollination/point-in-time-view)
- [Daylight Factor recipe](https://github.com/pollination/daylight-factor)
- [Sky View recipe](https://github.com/pollination/sky-view)
